Subject: Re: [PATCH] blame: document --color-* options

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Sep 2021 11:30:56 -0700

Bagas Sanjaya <[email-masked]> writes:

> Stefan mentioned "metadata" term to describe the line annotation, from
> commit cdc2d5f11f1a:
>
>>     When using git-blame lots of lines contain redundant information, for
>>     example in hunks that consist of multiple lines, the metadata (commit
>>     name, author, date) are repeated. A reader may not be interested in those,
>>     so offer an option to color the information that is repeated from the
>>     previous line differently. Traditionally, we use CYAN for lines that
>>     are less interesting than others (e.g. hunk header), so go with that.

The documentation is for our end users, who may not have read our
commit log messages, so phrasing that was used in an old commit
message would not help them.